<template>
  <q-layout view="hHh lpR fFf" >
    <q-header elevated>
      <q-toolbar class="GNL__toolbar " >
        <q-btn
          flat
          dense
          round
          @click="leftDrawerOpen = !leftDrawerOpen"
          aria-label="Menu"
          icon="menu"
          class="q-mr-sm"
        />

        <q-toolbar-title>
          <span @click="$router.push('/')" style="font-size: 32px; font-family: 'AppleGothic', cursive ">
            EoX Portal
          </span>
        </q-toolbar-title>

        <div>v0.1a</div>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="leftDrawerOpen"
      bordered
      show-if-above
      content-class="bg-white"
      :width="280"
    >
      <q-scroll-area class="fit" >

        <q-list padding class="text-grey-8">

          <q-expansion-item
            bg-color="red"
            style="background-color: rgb(165,217,238); margin-top: 10px;"
            default-closed
            class="GNL__drawer-item"
            icon="mdi-api"
            label="EoX API"
          >
            <q-item clickable v-ripple @click="$router.push('/eox_api/ByDates')" class="GNL__drawer-item">
              <q-item-section avatar>
                <q-icon name="date_range" />
              </q-item-section>
              <q-item-section>
                <q-item-label>Date Range</q-item-label>
              </q-item-section>
            </q-item>
            <q-item clickable v-ripple @click="$router.push('/eox_api/ByPID')" class="GNL__drawer-item">
              <q-item-section avatar>
                <q-icon name="mdi-barcode-scan" />
              </q-item-section>
              <q-item-section>
                <q-item-label>Product ID</q-item-label>
              </q-item-section>
            </q-item>
            <q-item clickable v-ripple @click="$router.push('/eox_api/BySerialNumber')" class="GNL__drawer-item">
              <q-item-section avatar>
                <q-icon name="mdi-pound-box" />
              </q-item-section>
              <q-item-section>
                <q-item-label>Serial Number</q-item-label>
              </q-item-section>
            </q-item>
            <q-item clickable v-ripple @click="$router.push('/eox_api/BySWRelease')" class="GNL__drawer-item">
              <q-item-section avatar>
                <q-icon name="mdi-matrix" />
              </q-item-section>
              <q-item-section>
                <q-item-label>SW Release</q-item-label>
              </q-item-section>
            </q-item>
          </q-expansion-item>

          <q-expansion-item
            bg-color="red"
            style="background-color: rgb(229,241,180); margin-top: 10px;"
            default-closed
            class="GNL__drawer-item"
            icon="mdi-database-sync"
            label="Data & Reports"
          >
            <q-item clickable v-ripple @click="$router.push('/management/DomainsManagement')" class="GNL__drawer-item">
              <q-item-section avatar>
                <q-icon name="mdi-domain-plus" />
              </q-item-section>
              <q-item-section>
                <q-item-label>Domains</q-item-label>
              </q-item-section>
            </q-item>

            <q-item clickable v-ripple @click="$router.push('/management/AssetsManagement')" class="GNL__drawer-item">
              <q-item-section avatar>
                <q-icon name="mdi-sitemap" />
              </q-item-section>
              <q-item-section>
                <q-item-label>Assets</q-item-label>
              </q-item-section>
            </q-item>

            <q-item clickable v-ripple @click="$router.push('/management/Reports')" class="GNL__drawer-item">
              <q-item-section avatar>
                <q-icon name="mdi-chart-tree" />
              </q-item-section>
              <q-item-section>
                <q-item-label>Reports</q-item-label>
              </q-item-section>
            </q-item>

          </q-expansion-item>
        </q-list>
      </q-scroll-area>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>

export default {
  name: 'MainLayout',

  components: {
  },

  data () {
    return {
      leftDrawerOpen: false

    }
  }
}
</script>

<style lang="stylus">
  .GNL

    &__toolbar-input
      width 55%

    &__drawer-item
      line-height 24px
      border-radius 0 24px 24px 0
      margin-right 12px

      .q-item__section--avatar
        .q-icon
          color #5f6368

      .q-item__label
        color #3c4043
        letter-spacing .01785714em
        font-size .875rem
        font-weight 500
        line-height 1.25rem

    &__drawer-footer-link
      color inherit
      text-decoration none
      font-weight 500
      font-size .75rem

      &:hover
        color #000
</style>
